using MonoTouch.UIKit;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.iOSEdition;

namespace Forms2Native
{
    public class MapViewController : UIViewController
    {
        public MapViewController()
        { }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();

            MapView iOSMap = new MapView(UIScreen.MainScreen.Bounds);
            View.Frame = UIScreen.MainScreen.Bounds;
            View.Add(iOSMap);

            iOSMap.MapUnit = GeographyUnit.DecimalDegree;
            iOSMap.BackgroundColor = UIColor.Red;
            iOSMap.CurrentExtent = new RectangleShape(-133.2515625, 89.2484375, 126.9046875, -88.290625);

            LayerOverlay layerOverlay = new LayerOverlay();
            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer("AppData/Countries02.shp");
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            layerOverlay.Layers.Add(worldLayer);
            iOSMap.Overlays.Add(layerOverlay);
            iOSMap.Refresh();
        }
    }
}